﻿/*########################################################
#   General Form Inputs                                  #
########################################################*/

input[readonly="readonly"], input[readonly="readonly"]:hover, input[readonly="readonly"]:active {
    background-color: #efefef !important;
}

/*########################################################
#   Kendo Grid Anpassungen                               #
########################################################*/

.k-grid-content .k-state-selected a {
    color: #fff;
}

/*########################################################
#   C3 F4Box                                             #
########################################################*/


.k-combobox, .k-datepicker, .k-timepicker, .k-datetimepicker {
    background-color: #fff;
}

.k-input[disabled="disabled"] {
    background-color: #fafafa;
}

.k-combobox .k-tooltip {
    position: absolute;
}

/*########################################################
#   C3 C3Date                                            #
########################################################*/

.MaskedDatePicker .k-invalid-msg {
    display: block;
    position: absolute;
}

/*########################################################
#   C3 Messagebox                                        #
########################################################*/

/* Info */
.c3-messagebox.info {
    background: rgba(50%,80%,100%,.7);
    color: rgba(255,255,255,0.9);
}
/* Error */
.c3-messagebox.error {
    background: rgba(100%,40%,40%,.9);
    color: rgba(255,255,255,0.9);
}
/* Warning */
.c3-messagebox.warning {
    background: rgba(100%,90%,0%,.9);
    color: rgba(0,0,0,0.35);
}
/* Success */
.c3-messagebox.success {
    background: rgba(0%,100%,30%,.6);
    color: rgba(255,255,255,0.9);
}

/* general */
.c3-messagebox {
    min-width: 300px;
    max-width: 300px;
    padding-right: 30px;
}

    .c3-messagebox .container-fluid, .c3-messagebox .container-fluid .row .col {
        padding: 0px;
    }

.glyph-circled {
    /* border: 2px solid; */
    /* border-radius: 300px; */
    margin: 25px;
    padding: 5px;
    font-size: 4em; /* 2em */
}

/*########################################################
#   Kendo-Vererbung für Bootstrap überschreiben          #
########################################################*/

.form-control, /* if this class is applied to a Kendo UI widget, its layout may change */
.container,
.container-fluid,
.row, /* ACHTUNG: Doppelt genutzte Klasse - sowohl in Kendo als auch in BS */
.col-xs-1, .col-sm-1, .col-md-1, .col-lg-1,
.col-xs-2, .col-sm-2, .col-md-2, .col-lg-2,
.col-xs-3, .col-sm-3, .col-md-3, .col-lg-3,
.col-xs-4, .col-sm-4, .col-md-4, .col-lg-4,
.col-xs-5, .col-sm-5, .col-md-5, .col-lg-5,
.col-xs-6, .col-sm-6, .col-md-6, .col-lg-6,
.col-xs-7, .col-sm-7, .col-md-7, .col-lg-7,
.col-xs-8, .col-sm-8, .col-md-8, .col-lg-8,
.col-xs-9, .col-sm-9, .col-md-9, .col-lg-9,
.col-xs-10, .col-sm-10, .col-md-10, .col-lg-10,
.col-xs-11, .col-sm-11, .col-md-11, .col-lg-11,
.col-xs-12, .col-sm-12, .col-md-12, .col-lg-12 {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}